package xyz.wbsite.frame.provider;

public interface ProfileProvider {

    /**
     * 获得当前环境配置
     *
     * @param key          配置项名
     * @param defaultValue 默认值
     * @return
     */
    String getString(String key, String defaultValue);

    /**
     * 获得当前环境配置
     *
     * @param key          配置项名
     * @param defaultValue 默认值
     * @return
     */
    int getInt(String key, int defaultValue);

    /**
     * 获得当前环境配置
     *
     * @param key          配置项名
     * @param defaultValue 默认值
     * @return
     */
    long getLong(String key, long defaultValue);

    /**
     * 获得当前环境配置
     *
     * @param key          配置项名
     * @param defaultValue 默认值
     * @return
     */
    boolean getBoolean(String key, boolean defaultValue);
}
